Traffic Analytics
Traffic by page type and source
Page views, visitors and page views per visitor broken down by page type (Home, Listing Detail, …) and traffic source. The period is at most 365 days and defaults to the last 30 days.
GET
/
v2.0
/
website
/
analytics
/
traffic
/
by-page-type
Traffic by page type and source
curl --request GET \
--url https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"pageViews": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
],
"visitors": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
],
"pageViewsPerVisitor": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
]
}Query Parameters
⌘I
Traffic by page type and source
curl --request GET \
--url https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/website/analytics/traffic/by-page-type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"pageViews": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
],
"visitors": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
],
"pageViewsPerVisitor": [
{
"pageType": "<string>",
"paid": 123,
"organicSearch": 123,
"organicSocial": 123,
"email": 123,
"ai": 123,
"direct": 123,
"other": 123,
"total": 123
}
]
}